Bug 210765 - milter-greylist does not work with postfix
milter-greylist does not work with postfix
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: milter-greylist (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
bzcl34nup
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-14 10:23 EDT by Avi Kivity
Modified: 2009-12-18 00:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:53:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2006-10-14 10:23:06 EDT
Description of problem:

postfix supports sendmail filters, but due to a permissions problem on the 
milter unix-domain socket, cannot connect.


Version-Release number of selected component (if applicable):
milter-greylist-2.1.12-3.fc6

How reproducible:
always

Steps to Reproduce:
1. install milter-greylist, postfix
2. add "smtpd_milters = unix:/var/run/milter-greylist/milter-greylist.sock" 
to /etc/postfix/main.cf
3. start milter-greylist, postfix
4. send mail to the machine (from another machine)
  
Actual results:
mail is rejected because postfix cannot connect to the milter

/var/log/maillog:
Oct 13 21:49:40 firebolt postfix/smtpd[335]: warning: connect to Milter 
service unix:/var/run/milter-greylist/milter-greylist.sock: Permission denied

Expected results:
greylisting

Additional info:
suggest making the grmilter user belong to the mail group, 
making /var/run/milter-greylist 
and /var/run/milter-greylist/milter-greylist.sock belong to the mail group, 
and making /var/run/milter-greylist/milter-greylist.sock group writable.
Comment 1 Enrico Scholz 2006-11-05 12:07:19 EST
mmh... I see the following problems with this approach:

1. sendmail will complain loudly when it sees the socket in a group-writable 
   directory

2. it is not trivial to add 'mail' to milter-greylist's supplementary groups

3. I do not think that it would be a good idea to give milter-greylist rights of 
   the 'mail' group

Perhaps, I will move configuration and dirs into a -sendmail subpackage. But it
won't be possible to ship/generate a similar -postfix configuration with the
same srpm.
Comment 2 Avi Kivity 2006-11-05 13:57:01 EST
1. the directory need not be group writable.  the directory needs to be group 
readable, and the socket needs to be group writable.  is that ok for sendmail?

2. fedora-useradd ... -G mail

3. why not?

milter-greylist is excellent, it eats spam and cries for more, but this 
problem is a fly in the ointment.
Comment 3 Bug Zapper 2008-04-03 14:30:16 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 20:57:33 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 5 Avi Kivity 2008-05-16 18:16:08 EDT
The problem is still present in Fedora 9.  Looking forward to reopening the bug
again in Fedora 12.
Comment 6 Bug Zapper 2008-11-25 20:50:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 03:08:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 00:53:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.